summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2017-08-31 12:17:28 +0200
committerJeroen Roovers <jer@gentoo.org>2017-08-31 12:17:28 +0200
commit814e679302e38f8a5e222815b06ae7334b2f0d07 (patch)
tree94683647573fba72456f67c27f6641062818738e /net-irc/ii
parentnet-irc/ii: Old. (diff)
downloadgentoo-814e679302e38f8a5e222815b06ae7334b2f0d07.tar.gz
gentoo-814e679302e38f8a5e222815b06ae7334b2f0d07.tar.bz2
gentoo-814e679302e38f8a5e222815b06ae7334b2f0d07.zip
net-irc/ii: Fix live ebuild.
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'net-irc/ii')
-rw-r--r--net-irc/ii/ii-9999.ebuild19
1 files changed, 8 insertions, 11 deletions
diff --git a/net-irc/ii/ii-9999.ebuild b/net-irc/ii/ii-9999.ebuild
index 58da99365e5..ba78309913a 100644
--- a/net-irc/ii/ii-9999.ebuild
+++ b/net-irc/ii/ii-9999.ebuild
@@ -2,11 +2,11 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit fixheadtails git-r3 toolchain-funcs
+inherit git-r3 toolchain-funcs
DESCRIPTION="A minimalist FIFO and filesystem-based IRC client"
HOMEPAGE="https://tools.suckless.org/ii/"
-EGIT_REPO_URI="https://git.suckless.org/ii"
+EGIT_REPO_URI="git://git.suckless.org/ii"
LICENSE="MIT"
SLOT="0"
@@ -16,15 +16,13 @@ src_prepare() {
default
sed -i \
- -e "s/CFLAGS = -g -O0/CFLAGS += /" \
- -e "s/LDFLAGS =/LDFLAGS +=/" \
- -e /^LIBS/d \
+ -e '/^CFLAGS/{s: -Os::g; s:= :+= :g}' \
+ -e '/^CC/d' \
+ -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' \
config.mk || die
-
- # enable verbose build
- sed -i 's/@${CC}/${CC}/' Makefile || die
-
- ht_fix_file query.sh
+ sed -i \
+ -e 's|@${CC}|$(CC)|g' \
+ Makefile || die
}
src_compile() {
@@ -33,7 +31,6 @@ src_compile() {
src_install() {
dobin ii
- newbin query.sh ii-query
dodoc CHANGES FAQ README
doman *.1
}